# Retrieve activation by ID

Retrieve an activation (formerly syndication) based on its identifier.

Endpoint: GET /audiences/{audienceId}/segments/{segmentId}/syndications/{syndicationId}
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment ID of the syndication

  - `segmentId` (integer, required)
    Segment ID of the syndication

  - `syndicationId` (integer, required)
    ID of Syndication to return

## Response 200 fields (application/json):

  - `id` (string)

  - `audienceId` (string)

  - `segmentId` (string)

  - `name` (string)

  - `description` (string)

  - `allColumns` (boolean)
    syndication all column flag  ('true' means  that you use all attribute data)

  - `columns` (any) — one of:
    - Columns:
      - `id` (string)
      - `column` (string, required)
      - `source` (any, required) — one of:
        - ColumnExpression:
          - `column` (string, required)
          - `customerGroup` (string,null)
          - `functions` (array,null) — one of:
            - variant 1:
              - `function` (string, required)
                Enum: "+", "-", "*", "/"
              - `arg` (number)
            - variant 2:
              - `function` (string, required)
                Enum: "replace"
              - `search` (string)
              - `replacement` (string,null)
            - variant 3:
              - `function` (string, required)
                Enum: "substr"
              - `start` (number)
              - `length` (number)
            - variant 4:
              - `function` (string, required)
                Enum: "regexp_extract"
              - `pattern` (string)
              - `group` (number)
            - variant 5:
              - `function` (string, required)
                Enum: "day_of_week", "from_iso8601_timestamp", "ln", "elapsed_days", "td_ip_to_least_specific_subdivision_name", "td_ip_to_country_name", "td_ip_to_city_name", "td_ip_to_connection_type", "td_ip_to_domain"
            - variant 6:
              - `function` (string, required)
                Enum: "cast_as_quantitative"
              - `default` (number, required)
            - variant 7:
              - `function` (string, required)
                Enum: "cast_as_categorical"
              - `default` (string, required)
            - variant 8:
              - `function` (string, required)
                Enum: "cast_as_categorical_array"
            - variant 9:
              - `function` (string, required)
                Enum: "if"
              - `op` (string)
                Enum: ">", "<", "<=", ">=", "=", "!=", "is", "is\\", "not"
              - `right_value` (number,null)
              - `then` (number)
              - `else` (number)
        - StringExpression:
          - `string` (string, required)
          - `parameters` (array) — one of:
            Values for the placeholders ($1, $2, $3, ...) in the string
            - variant 1:
              - `type` (string)
                Enum: "String"
              - `string` (string)
            - variant 2:
              - `type` (string)
                Enum: "Timestamp"
              - `format` (string)
            - variant 3:
              - `type` (string)
                Enum: "SegmentName", "SegmentId", "AudienceId", "FunnelName", "StageName"
    - NullValue:
      - `thisKeyNeverHit` (string)

  - `scheduleType` (string)
    Enum: "cron", "daily", "hourly", "minutes_interval", "monthly", "none", "weekly"

  - `scheduleOption` (string,null)

  - `startAt` (string,null)
    cdp-api will fill some value for old syndications with ScheduleType is not NoneType. '%Y-%M-%DT%h:%m:%s' is expected.

  - `endOn` (string,null)

  - `repeatUnit` (string,null)

  - `repeatFrequency` (integer,null)

  - `repeatSubFrequency` (array)
    Parameter for more detailed frequency settings. Values are array of integers.
Currently, this parameter is only valid for repeat unit "week".
For multiple days of the week, each value should be 1 to 7.
1: Monday, 2: Tuesday, 3: Wednesday, 4: Thursday, 5: Friday, 6: Saturday, 7: Sunday
    Example: [1,5,6]

  - `timezone` (string)

  - `connectionId` (string,null)

  - `connectorConfig` (object,null)

  - `createdAt` (string)

  - `updatedAt` (string)

  - `createdBy` (object)

  - `createdBy.id` (string)

  - `createdBy.td_user_id` (string)

  - `createdBy.name` (string)

  - `updatedBy` (object)

  - `valid` (boolean)

  - `executions` (array)

  - `executions.workflowId` (string, required)

  - `executions.workflowSessionId` (string, required)

  - `executions.createdAt` (string, required)

  - `executions.finishedAt` (string,null, required)

  - `executions.status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `executions.workflowAttemptId` (string, required)

  - `executions.syndicationId` (string)

  - `notifyOn` (array)
    Enum: "onSuccess", "onFailure"

  - `emailRecipients` (array)

  - `activationTemplateId` (string,null)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


